Summary:	A DLNA/UPnP MediaServer protocol implementation
Summary(pl.UTF-8):	Implementacja protokołu DLNA/UPnP MediaServer
Name:		python-coherence
Version:	0.6.6.2
Release:	4
License:	MIT
Group:		Libraries/Python
Source0:	https://coherence.beebits.net/download/Coherence-%{version}.tar.gz
# Source0-md5:	d7a1b4abf6831c61e37a3b9e2bdc560a
Source1:	org.Coherence.service
URL:		https://coherence.beebits.net/
BuildRequires:	python-TwistedWeb
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
Requires:	python-Louie
Requires:	python-TwistedCore
Requires:	python-TwistedWeb
Requires:	python-configobj
Requires:	python-setuptools
%pyrequires_eq	python-modules
# For applet:
Suggests:	python-PyQt4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
As a stand-alone application Coherence acts as a DLNA/UPnP MediaServer
and exports local and remote media files via its plugins to other UPnP
clients.

And together with GStreamer it forms a controllable DLNA/UPnP
MediaRenderer.

%description -l pl.UTF-8
Samodzielna aplikacja Coherence służy jako serwer mediów DLNA/UPnP,
udostępniając lokalne i zdalne pliki multimedialne poprzez wtyczki dla
innych klientów UPnP.

Wraz z GStreamerem tworzy sterowalny renderer mediów DLNA/UPnP.

%prep
%setup -q -n Coherence-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/dbus-1/services
install %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/dbus-1/services/org.Coherence.service

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name "*.py" | xargs rm
rm -rf $RPM_BUILD_ROOT%{py_sitescriptdir}/misc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/*
%{_datadir}/dbus-1/services/org.Coherence.service
%changelog
* Sun Jun 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-coherence.git;a=log;h=master

* Sun Jun 23 2013 Jan Rękorajski <baggins@pld-linux.org> 1888cba
- release 4 (by relup.sh)

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 85f7a12
- BR: python-TwistedWeb
- rel 3

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 3f9f31e
- release 2

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> cb26b68
- Up to 0.6.6.2

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 84f4e58
- release 3

* Tue Aug 11 2009 Patryk Zawadzki <patrys@room-303.com> 75d38e8
- add D-Bus service file
- rel 2

* Tue Aug 11 2009 Patryk Zawadzki <patrys@room-303.com> 39e535b
- 0.6.4

* Wed Jul 08 2009 Paweł Gołaszewski <blues@pld-linux.org> c187d21
- suggests for applet and TODO for package separation

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 5c5d8b3
- up to 0.6.2

* Thu Jan 01 2009 Artur Frysiak <artur@frysiak.net> 651625a
- obsoleted

* Thu Jan 01 2009 Artur Frysiak <artur@frysiak.net> 9b649bb
- updated to 0.6.0

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f2aac7
- release 4

* Mon Jul 07 2008 dzeus <dzeus@pld-linux.org> c5711a5
- rel. 3

* Sat May 03 2008 Patryk Zawadzki <patrys@room-303.com> f915502
- better packaging

* Sat May 03 2008 Patryk Zawadzki <patrys@room-303.com> 53fb553
- 0.5.6

* Mon Apr 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 133427c
- pl fix, BR: pythonprov

* Tue Mar 25 2008 Szymon Siwek <sls@pld-linux.org> 671fe8a
- BR: python-setuptools

* Wed Dec 26 2007 Patryk Zawadzki <patrys@room-303.com> 257627d
- patch for python syntax

* Wed Dec 26 2007 Patryk Zawadzki <patrys@room-303.com> 1d3b7c4
- proper syntax

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 02300ff
- added pl

